Create agent from template

View as Markdown

We have created templates for some common use cases. You can use these templates to create an agent. For getting list of templates, you can use the /agent/template endpoint. It will give you the list of templates with their description and id. You can pass the id of the template in the request body to create an agent from the template.

Authentication

AuthorizationBearer

API key from the console ApiKey collection, sent as Bearer token. Also accepts session cookies for browser-based auth.

Request

This endpoint expects an object.
agentNamestringRequired
Name of the agent
templateIdstringRequired

ID of the template to use. You can get the list of templates with their description and id from the /agent/template endpoint.

agentDescriptionstringOptional
Description of the agent

Response

Successful response
statusboolean
datastring
The ID of the created agent

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error